/***************************************************************************
 *   Copyright (C) 2004-2005 by Andrew Krause                              *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#include "openldev-import-project.h"

string
openldev_import_project ()
{
  string file = openldev_add_prefix ("/share/openldev/glade/importproject.glade");
  GladeXML *xml = glade_xml_new (file.c_str(), NULL, NULL);
  GtkWidget *dialog = glade_xml_get_widget (xml, "dialog");
  GtkWidget *location = glade_xml_get_widget (xml, "location");
  
  gint result = gtk_dialog_run (GTK_DIALOG (dialog)), i;
  if (result == GTK_RESPONSE_APPLY)
  {
    file = gtk_file_chooser_get_filename (GTK_FILE_CHOOSER (location));
    
    string name = file;    
    int i = name.find ("/", 0);
    while (i != string::npos)
    {
      name.erase (0, i + 1);
      i = name.find ("/", 0);
    }
    
    file += "/" + name + ".dev";
  }
  else
    file = "";
  
  gtk_widget_destroy (dialog);
  g_object_unref (xml);
  return file;
}
